/{organizationId}/{mandateId}/finance/cash/accounts/{cashAccountId}Get cash account
Returns a specific cash account for a given mandate
Required permissions:
mandate.read
cashAccount.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired cashAccountIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/accounts/{cashAccountId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
sourcestringrequired Options:
bankpaypalstripeconnectedbooleanrequired namestringrequired minLength: 1
maxLength: 32
accountintegerrequired minimum: 1
maximum: 999999999
balanceintegerrequired minimum: -9007199254740991
maximum: 9999999999
unassignedintegerrequired minimum: 0
maximum: 9007199254740991
proposalsintegerrequired minimum: 0
maximum: 9007199254740991
synchronizedAtdate-time | nullrequired archivedAtdate-time | nullrequired ownerNamestringoptional minLength: 1
maxLength: 70
ibanibanoptional bicstringoptional bankNamestringoptional minLength: 1
maxLength: 100
sepaCreditTransfersBatchSizeintegeroptional maximum: 9007199254740991
exclusiveMinimum: 0
sepaDirectDebitsBatchSizeintegeroptional minimum: 0
maximum: 9007199254740991
Additional properties are not allowed.
batchBookingbooleanrequired directDebitSubmissionMethodstringrequired Options:
xmlonlinecreditTransferSubmissionMethodstringrequired Options:
xmlonlineResponse
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"source": "bank",
"connected": true,
"name": "string",
"account": 1,
"balance": -9007199254740991,
"unassigned": 0,
"proposals": 0,
"synchronizedAt": "2026-06-15T22:30:00Z",
"archivedAt": "2026-06-15T22:30:00Z",
"archivedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"batchBooking": true,
"directDebitSubmissionMethod": "xml",
"creditTransferSubmissionMethod": "xml"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}